Package com.google.android.exoplayer2.video

## Class ColorInfo

- java.lang.Object
- - com.google.android.exoplayer2.video.ColorInfo

- All Implemented Interfaces:
    `Parcelable`

      public final class ColorInfo
      extends Object
      implements Parcelable

  Stores color info.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `colorRange` | The color range of the video.
    `int` | `colorSpace` | The color space of the video.
    `int` | `colorTransfer` | The color transfer characteristics of the video.
    `static Parcelable.Creator<ColorInfo>` | `CREATOR` |
    `byte[]` | `hdrStaticInfo` | HdrStaticInfo as defined in CTA-861.3, or null if none specified.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColorInfo​(int colorSpace, int colorRange, int colorTransfer, byte[] hdrStaticInfo)` | Constructs the ColorInfo.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### colorSpace

          @ColorSpace
          public final int colorSpace

      The color space of the video. Valid values are `C.COLOR_SPACE_BT601`, `C.COLOR_SPACE_BT709`, `C.COLOR_SPACE_BT2020` or `Format.NO_VALUE` if unknown.

    - #### colorRange

          @ColorRange
          public final int colorRange

      The color range of the video. Valid values are `C.COLOR_RANGE_LIMITED`, `C.COLOR_RANGE_FULL` or `Format.NO_VALUE` if unknown.

    - #### colorTransfer

          @ColorTransfer
          public final int colorTransfer

      The color transfer characteristics of the video. Valid values are `C.COLOR_TRANSFER_HLG`, `C.COLOR_TRANSFER_ST2084`, `C.COLOR_TRANSFER_SDR` or `Format.NO_VALUE` if unknown.

    - #### hdrStaticInfo

          @Nullable
          public final byte[] hdrStaticInfo

      HdrStaticInfo as defined in CTA-861.3, or null if none specified.

    - #### CREATOR

          public static final Parcelable.Creator<ColorInfo> CREATOR

  - ### Constructor Detail

    - #### ColorInfo

          public ColorInfo​(@ColorSpace
                           int colorSpace,
                           @ColorRange
                           int colorRange,
                           @ColorTransfer
                           int colorTransfer,
                           @Nullable
                           byte[] hdrStaticInfo)

      Constructs the ColorInfo.
      Parameters:
        `colorSpace` - The color space of the video.
        `colorRange` - The color range of the video.
        `colorTransfer` - The color transfer characteristics of the video.
        `hdrStaticInfo` - HdrStaticInfo as defined in CTA-861.3, or null if none specified.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`